/*
 * @(#)CivLogYearEntry.java
 *
 * contains all data-entries for a year: hashtable of player->CivLogDataEntry
 *
 * Created on July 26, 2000, 9:40 PM
 */

/**
 *
 * @author  Michael Grundel <michael42@grundel.de>
 * @version 0.01
 */

/**
   ********************************************************************
 CivLog - Copyright (C) 2000 - Wong Teck Meng
   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
**********************************************************************
                                                                      */
import java.util.*;

// maps player -> CivLogDataEntry
// one CivLogDataEntry contains all Data of one player of one year (unchanged)
public class CivLogYearEntry extends HashMap {

  private Integer year;

  public CivLogYearEntry (Integer year) {
    this.year = year;
  }

  int getYear() {
    return year.intValue();
  }
}
